List objects of a type
curl --request GET \
--url https://server.meetdoris.com/api/v1/ontology/{type_name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://server.meetdoris.com/api/v1/ontology/{type_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://server.meetdoris.com/api/v1/ontology/{type_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"results": [
{
"type": "deal",
"id": "8c1caea6-8e76-58eb-b897-6ddda9bc6897",
"title": "Class Schedule & Instructor Optimizer",
"snippet": "Class Schedule & Instructor Optimizer",
"updated_at": "2026-05-06T16:57:08.327429+00:00"
},
{
"type": "deal",
"id": "a6c30b44-92d5-5e0b-b64a-290fb5f03db4",
"title": "Recycling Contamination Detector",
"snippet": "Recycling Contamination Detector",
"updated_at": "2026-05-06T16:57:08.275551+00:00"
}
],
"total": 244,
"count": 2,
"offset": 0,
"limit": 2
}Query
List objects of a type
Returns a paginated list of objects for the given type. Objects are returned as card-shaped summaries.
GET
/
{type_name}
List objects of a type
Authorizations
API key with sk-live- prefix. Generate keys from Console → API Keys in the Doris app.
Path Parameters
Available options:
deal, account, meeting, commitment, objection, competitor, tactic, strategy, document, person, artifact, pipeline, lead, insight Query Parameters
Required range:
x <= 100Sort field
⌘I